Bug Hunting Session
Bug 88178 - File->Properties->General has 2 Reset buttons
Summary: File->Properties->General has 2 Reset buttons
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.3.5.2 release
Hardware: All All
: medium minor
Assignee: Adolfo Jayme
URL:
Whiteboard: target:5.1.0 target:5.0.0.0.beta2
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-07 19:14 UTC by Roni Mogilevsky
Modified: 2016-10-25 19:19 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of the "General" tab (26.31 KB, image/png)
2015-01-07 19:14 UTC, Roni Mogilevsky
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Roni Mogilevsky 2015-01-07 19:14:53 UTC
Created attachment 111928 [details]
Screenshot of the "General" tab

Steps to reproduce:
1. Enter File>Properties>General
2. Observe the General tab for 2 buttons called "Reset"


Why are there 2 buttons with the same name on the same display? 
It is uncommon choice to have this naming.
Comment 1 Robinson Tryon (qubit) 2015-01-07 19:41:54 UTC
TESTING with LO 4.4.0.1 + Ubuntu 14.04

(In reply to Roni Mogilevsky from comment #0)
> Created attachment 111928 [details]
> Screenshot of the "General" tab
> 
> Steps to reproduce:
> 1. Enter File>Properties>General
> 2. Observe the General tab for 2 buttons called "Reset"

CONFIRMED -- There are two buttons, albeit one that appears to pertain to a single tab context, and one which appears to pertain to the entire dialog (??)

It's definitely confusing.
Status -> NEW

Handing to the UX Team.
Comment 2 Yousuf Philips (jay) (retired) 2015-01-07 21:19:56 UTC
Yes the button label needs to be clearer like 'Reset File Settings' or something like that. The extended help had the toolip as

'resets the editing time to zero, the creation date to the current date and time, and the version number to 1. the modification and printing dates are also deleted'
Comment 3 Adolfo Jayme 2015-01-08 06:40:22 UTC
Will change its label to “Reset These Properties”. Thanks for the report!
Comment 4 Commit Notification 2015-06-02 12:24:53 UTC
Adolfo Jayme Barrientos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e96adee1feadb2ba6a6e4aba22cab34aeccc7a31

tdf#88178 Avoid naming two distinct buttons the same…

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2015-06-02 12:26:20 UTC
Adolfo Jayme Barrientos committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=665da4646f1f58a663710e2a250904b42b5cff03&h=libreoffice-5-0

tdf#88178 Avoid naming two distinct buttons the same…

It will be available in 5.0.0.0.beta2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Adolfo Jayme 2015-06-02 12:27:00 UTC
Sorry for the delay, totally forgot about this one!
Comment 7 Commit Notification 2015-11-16 00:22:51 UTC
Adolfo Jayme Barrientos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=edbe20e99a83dee43ab75f584c391121bd65d829

tdf#88178 Update this button’s name in Help